# Contributing to Openswan

First of, thank you for taking the time to contribute.

*Before spending a lot of time on something, please ask for feedback on your
idea first!* You can ask in the [mailing list](https://lists.openswan.org/mailman/listinfo/dev)
or create an [issue](https://github.com/xelerance/Openswan/issues).

## **Did you find a bug?**

To report a security issue please send an e-mail to security@xelerance.com

For non-security problems, ensure the bug was not already reported by
searching on GitHub under "[Issues](https://github.com/xelerance/Openswan/issues)"
and "[Pull requests](https://github.com/xelerance/Openswan/pulls)". In
addition, please look at the COMPATIBILITY_ISSUES file.

When reporting an issue, please provide output and the content of the logs.

## **Did you write a patch that fixes a bug?**

* Open a new GitHub pull request with the patch.
* Ensure the PR description clearly describes the problem and solution.
  Include the relevant issue number if applicable.
* Always write a clear log message for your commits. One-line messages are
  fine for small changes, but bigger changes should look like this:

    $ git commit -m "A brief summary of the commit
    >
    > A paragraph describing what changed and its impact."

    $ git commit -m "A brief summary of the commit
    >
    > A paragraph describing what changed and its impact."

